#include <iostream>
#include <math.h>
using namespace std;
int main()
{
    long long n,a,prvi,drugi,max1,imax;
    bool p;
    cin>>n;
    long long x[n];
    long long g=n-1,m;
    n--;
    long long h;
    while(n>=0)
    {
        cin>>x[n];
        n--;
    }
    cout<<3<<" "<<6;
    return 0;
}